Click or drag to resize

SurfaceCreateRollingBallFillet Method (Surface, Boolean, Surface, Boolean, Double, Double)

Constructs a rolling ball fillet between two surfaces.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Surface[] CreateRollingBallFillet(
	Surface surfaceA,
	bool flipA,
	Surface surfaceB,
	bool flipB,
	double radius,
	double tolerance
)

Parameters

surfaceA
Type: Rhino.GeometrySurface
A first surface.
flipA
Type: SystemBoolean
A value that indicates whether A should be used in flipped mode.
surfaceB
Type: Rhino.GeometrySurface
A second surface.
flipB
Type: SystemBoolean
A value that indicates whether B should be used in flipped mode.
radius
Type: SystemDouble
A radius value.
tolerance
Type: SystemDouble
A tolerance value.

Return Value

Type: Surface
A new array of rolling ball fillet surfaces; this array can be empty on failure.
Exceptions
ExceptionCondition
ArgumentNullExceptionIf surfaceA or surfaceB are null.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also